#pragma once
#include <spdlog/spdlog.h>
#include "../base/interface.hpp"
#include "../../protocol/transform/facade.hpp"

namespace lsp::provider
{
    class CancelRequest : public INotificationProvider
    {
    public:
        CancelRequest() = default;
        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ExecutionContext& context) override;
    };
}
